<!-- 产品记录 -->
<template>
    <el-dialog title="产品记录" v-model="visible" width="1400px">
        <QuotationList ref="quotationListRef"
        :perPrefix=paramsData?.perPrefix :resourceTypeId="paramsData?.id"></QuotationList>
    </el-dialog>
</template>

<script setup lang="ts">
import QuotationList from '@/modules/sales/views/business/component/QuotationList.vue'
    const visible = ref()
    const quotationListRef = ref()
    const paramsData = ref()
    const open = (data) => {
        paramsData.value = data
        visible.value = true
    }

    const cancel = () => {
        visible.value = false
    }

    const refreshPriceData = () => {
        quotationListRef.value.getQuotationList()
    }
    defineExpose({
        open
    })
</script>

<style lang="scss" scoped>


</style>
